Package org.gdal.gdal

## Class Attribute

- java.lang.Object
- - org.gdal.gdal.Attribute

-     public class Attribute
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `ExtendedDataType` | `GetDataType()` |
    `long` | `GetDimensionCount()` |
    `java.lang.String` | `GetFullName()` |
    `java.lang.String` | `GetName()` |
    `java.math.BigInteger` | `GetTotalElementsCount()` |
    `int` | `hashCode()` |
    `double` | `ReadAsDouble()` |
    `int` | `ReadAsInt()` |
    `java.lang.String` | `ReadAsString()` |
    `java.util.Vector` | `ReadAsStringArray()` |
    `int` | `WriteDouble​(double val)` |
    `int` | `WriteInt​(int val)` |
    `int` | `WriteString​(java.lang.String val)` |
    `int` | `WriteStringArray​(java.util.Vector vals)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetFullName

          public java.lang.String GetFullName()

    - #### GetTotalElementsCount

          public java.math.BigInteger GetTotalElementsCount()

    - #### GetDimensionCount

          public long GetDimensionCount()

    - #### GetDataType

          public ExtendedDataType GetDataType()

    - #### ReadAsString

          public java.lang.String ReadAsString()

    - #### ReadAsInt

          public int ReadAsInt()

    - #### ReadAsDouble

          public double ReadAsDouble()

    - #### ReadAsStringArray

          public java.util.Vector ReadAsStringArray()

    - #### WriteString

          public int WriteString​(java.lang.String val)

    - #### WriteStringArray

          public int WriteStringArray​(java.util.Vector vals)

    - #### WriteInt

          public int WriteInt​(int val)

    - #### WriteDouble

          public int WriteDouble​(double val)